@import '../../../../styles.scss';

.upload-frame {
  width: 100%;
  height: 400px;
  justify-content: center;
  background: white;
  margin: 10px 0;

  .dropzone {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    font-weight: 200;
    height: 100%;
    border: 2px dashed #f16624;
    border-radius: 5px;

    &.hovering {
      border: 2px solid #f16624;
      color: #dadada !important;
    }

    .file-label {
      font-size: 1.2em;
    }
  }

  img {
    max-width: auto;
    height: 400px;
  }
}

.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.btn {
  border: 1px solid $bg-light-gray;
  background-color: $bg-light-gray;
  padding: 8px 20px;
  border-radius: 8px;
  font-size: 16px;
  font-weight: 500;
}

.upload-btn-wrapper input[type=file] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}
